package com.mosty.wzzx.mapper;

import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface WztjMapper {

    @ApiOperation("人员位置")
    List<Map<String, Object>> jwzbmlbtj(Map<String, Object> map);

    @ApiOperation("巡组位置")
    List<Map<String, Object>> xz(Map<String, Object> map);

    @ApiOperation("里程数")
    List<Map<String, Object>> jrlcs(Map<String, Object> map);

    @ApiOperation("人数里程巡组整合")
    List<Map<String, Object>> rslcxz(Map<String, Object> map);

    @ApiOperation("位置人数")
    List<Map<String, Object>> jrwzrs(Map<String, Object> map);

    @ApiOperation("巡组位置数")
    List<Map<String, Object>> jrxzwzs(Map<String, Object> map);

    @ApiOperation("人员位置数量")
    int rywzlbCount(Map<String, Object> map);

    @ApiOperation("人员位置列表")
    List<Map<String, Object>> rywzlb(Map<String, Object> map);

    @ApiOperation("报备轨迹查询")
    List<Map<String, Object>> bbgjcx(Map<String, Object> map);

    @ApiOperation("报备位置查询")
    List<Map<String, Object>> bbwzcx(Map<String, Object> map);

    @ApiOperation("民警轨迹查询")
    List<Map<String, Object>> mjgjcx(Map<String, Object> map);

    @ApiOperation("未报备位置查询")
    List<Map<String, Object>> wbbwz(Map<String, Object> map);

}
